> For the complete documentation index, see [llms.txt](https://docs.defguard.net/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.defguard.net/for-developers/rest-api/core/network-device/get-the-wireguard-configuration-of-a-network-device.md).

# Get the WireGuard configuration of a network device

Returns one configuration per location the device belongs to.

```json
{"openapi":"3.1.0","info":{"title":"defguard Core API","version":"2.0.3"},"tags":[{"name":"network device","description":"Network devices, as opposed to user devices, and their IP addresses."}],"security":[{"cookie":[]},{"api_token":[]}],"components":{"securitySchemes":{"cookie":{"type":"apiKey","in":"cookie","name":"defguard_session"},"api_token":{"type":"http","scheme":"bearer"}},"schemas":{"ApiErrorResponse":{"type":"object","description":"Body returned with error responses.","required":["msg"],"properties":{"code":{"type":["string","null"],"description":"Machine-readable error code, returned for selected errors."},"msg":{"type":"string","description":"Human-readable error message."}}}}},"paths":{"/api/v1/device/network/{device_id}/config":{"get":{"tags":["network device"],"summary":"Get the WireGuard configuration of a network device","description":"Returns one configuration per location the device belongs to.","operationId":"network_device_configs","parameters":[{"name":"device_id","in":"path","description":"ID of the network device.","required":true,"schema":{"type":"integer","format":"int64"}}],"responses":{"200":{"description":"Network device configuration for each location of the device.","content":{"application/json":{"schema":{"type":"array","items":{"type":"object"}}}}},"401":{"description":"Session is missing or invalid.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiErrorResponse"}}}},"403":{"description":"Requires admin privileges or the request must target your own account.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiErrorResponse"}}}},"404":{"description":"Network device not found.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiErrorResponse"}}}},"500":{"description":"Unable to get network device configuration.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiErrorResponse"}}}}}}}}}
```
